Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.temporal
Class JDBCDatetimeStringProcessor

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.temporal.DatetimeStringProcessor
          edu.stanford.smi.protegex.owl.swrl.bridge.builtins.temporal.JDBCDatetimeStringProcessor

    public class JDBCDatetimeStringProcessor

extends DatetimeStringProcessor

A class supporting processing of datetime strings represented in the standard JDBC format 'y-M-d h:m:s.S'.

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.builtins.temporal.DatetimeStringProcessor
`dateFormat, datetimeRoundDownPadding, datetimeRoundUpPadding, delimiters, gTokenIndex`

Constructor Summary
`JDBCDatetimeStringProcessor()`

Method Summary
`protected String` | `constructDatetimeString(long milliseconds)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.builtins.temporal.DatetimeStringProcessor
`checkDatetimeString, expressDatetimeStringAtGranularity, expressDatetimeStringAtGranularity, getDays, getHours, getMilliseconds, getMinutes, getMonths, getSeconds, getYears, granuleCount2DatetimeString, normalizeDatetimeString, normalizeDatetimeString, padDatetimeString, stripDatetimeString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCDatetimeStringProcessor

    public JDBCDatetimeStringProcessor()

Method Detail

### constructDatetimeString

    protected String constructDatetimeString(long milliseconds)
                                      throws TemporalException

  Specified by:
    `constructDatetimeString` in class `DatetimeStringProcessor`
  Throws:
    `TemporalException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.